import { OptionDefinition } from "./options.js";
import { ComposerCheckConfig, ComposerConfig, PostInstallationCheck, PreInstallationCheck, Workspace } from "./config.js";
import { OptionValues } from "commander";
import { RemoteControlOptions } from "./remoteControl.js";
export declare function executeComposer<Args extends OptionDefinition>(config: ComposerConfig<Args>, checks: ComposerCheckConfig<Args>, remoteControlOptions?: RemoteControlOptions): Promise<void>;
export declare function determineWorkingDirectory(options: OptionValues): any;
export declare function installPackages<Args extends OptionDefinition>(config: ComposerConfig<OptionDefinition>, workspace: Workspace<Args>): Promise<void>;
export declare function generateComposerInfo(pkg: any): {
    id: string;
    package: string;
    version: string;
};
export declare function runPreInstallationChecks(checks: PreInstallationCheck[]): Promise<void>;
export declare function runPostInstallationChecks<Args extends OptionDefinition>(checks: PostInstallationCheck<Args>[]): Promise<void>;
