import { Workspace } from "../composer/config";
import { OptionDefinition } from "../composer/options";
export declare function readFile<Args extends OptionDefinition>(workspace: Workspace<Args>, filePath: string): Promise<string>;
export declare function writeFile<Args extends OptionDefinition>(workspace: Workspace<Args>, filePath: string, content: string): Promise<void>;
export declare function fileExistsWorkspace<Args extends OptionDefinition>(workspace: Workspace<Args>, filePath: string): Promise<boolean>;
export declare function fileExists(filePath: string): Promise<boolean>;
export declare function directoryExists(directoryPath: string): Promise<boolean>;
export declare function getFilePath(cwd: string, fileName: string): string;
export declare function format<Args extends OptionDefinition>(workspace: Workspace<Args>, path: string, content: string): Promise<string>;
export declare const commonFilePaths: {
    packageJsonFilePath: string;
    svelteConfigFilePath: string;
};
